# pandas.Series.autocorr

`Series.``autocorr`(lag=1)

  Compute the lag-N autocorrelation.

  This method computes the Pearson correlation between the Series and its shifted self.

  Parameters:

  lag : int, default 1

  > Number of lags to apply before performing autocorrelation.

  Returns:

  float

  > The Pearson correlation between self and self.shift(lag).

  See also

  `Series.corr`
    Compute the correlation between two Series.
  `Series.shift`
    Shift index by desired number of periods.
  `DataFrame.corr`
    Compute pairwise correlation of columns.
  `DataFrame.corrwith`
    Compute pairwise correlation between rows or columns of two DataFrame objects.

  Notes

  If the Pearson correlation is not well defined return ‘NaN’.

  Examples

      >>> s = pd.Series([0.25, 0.5, 0.2, -0.05])
      >>> s.autocorr()  # doctest: +ELLIPSIS
      0.10355...
      >>> s.autocorr(lag=2)  # doctest: +ELLIPSIS
      -0.99999...

  If the Pearson correlation is not well defined, then ‘NaN’ is returned.

      >>> s = pd.Series([1, 0, 0, 0])
      >>> s.autocorr()
      nan

Scroll To Top